WB32F10x Standard Peripherals Firmware Library

Functions
WWDG_Private_Functions
WB32F10x_StdPeriph_Driver » WWDG

## Functions
void | WWDG_DeInit (void)
| Deinitializes the WWDG peripheral registers to their default reset values. More...
void | WWDG_SetPrescaler (uint32_t WWDG_Prescaler)
| Sets the WWDG Prescaler. More...
void | WWDG_SetWindowValue (uint8_t WindowValue)
| Sets the WWDG window value. More...
void | WWDG_EnableIT (void)
| Enables the WWDG Early Wakeup interrupt(EWI). More...
void | WWDG_SetCounter (uint8_t Counter)
| Sets the WWDG counter value. More...
void | WWDG_Enable (uint8_t Counter)
| Enables WWDG and load the counter value. More...
FlagStatus | WWDG_GetFlagStatus (void)
| Checks whether the Early Wakeup interrupt flag is set or not. More...
void | WWDG_ClearFlag (void)
| Clears Early Wakeup interrupt flag. More...

## Detailed Description

## Function Documentation

## ◆ WWDG_ClearFlag()

void WWDG_ClearFlag | ( | void |  | ) |

Clears Early Wakeup interrupt flag.

Parameters

  None |

Return values

  None |

## ◆ WWDG_DeInit()

void WWDG_DeInit | ( | void |  | ) |

Deinitializes the WWDG peripheral registers to their default reset values.

Parameters

  None |

Return values

  None |

## ◆ WWDG_Enable()

void WWDG_Enable | ( | uint8_t | Counter | ) |

Enables WWDG and load the counter value.

Parameters

  Counter | specifies the watchdog counter value. This parameter must be a number between 0x40 and 0x7F.

Return values

  None |

## ◆ WWDG_EnableIT()

void WWDG_EnableIT | ( | void |  | ) |

Enables the WWDG Early Wakeup interrupt(EWI).

Parameters

  None |

Return values

  None |

## ◆ WWDG_GetFlagStatus()

FlagStatus WWDG_GetFlagStatus | ( | void |  | ) |

Checks whether the Early Wakeup interrupt flag is set or not.

Parameters

  None |

Return values

  The | new state of the Early Wakeup interrupt flag (SET or RESET)

## ◆ WWDG_SetCounter()

void WWDG_SetCounter | ( | uint8_t | Counter | ) |

Sets the WWDG counter value.

Parameters

  Counter | specifies the watchdog counter value. This parameter must be a number between 0x40 and 0x7F.

Return values

  None |

## ◆ WWDG_SetPrescaler()

void WWDG_SetPrescaler | ( | uint32_t | WWDG_Prescaler | ) |

Sets the WWDG Prescaler.

Parameters

  WWDG_Prescaler | specifies the WWDG Prescaler. This parameter can be one of the following values: WWDG_Prescaler_1: WWDG counter clock = (PCLK2/4096)/1 WWDG_Prescaler_2: WWDG counter clock = (PCLK2/4096)/2 WWDG_Prescaler_4: WWDG counter clock = (PCLK2/4096)/4 WWDG_Prescaler_8: WWDG counter clock = (PCLK2/4096)/8

Return values

  None |

## ◆ WWDG_SetWindowValue()

void WWDG_SetWindowValue | ( | uint8_t | WindowValue | ) |

Sets the WWDG window value.

Parameters

  WindowValue | specifies the window value to be compared to the downcounter. This parameter value must be lower than 0x80.

Return values

  None |